## org.ascape.view.vis
Class SimplexView.ConcreteSimplexFeature

    java.lang.Object
      org.ascape.util.vis.SimplexFeature
          org.ascape.view.vis.SimplexView.ConcreteSimplexFeature

All Implemented Interfaces:
  HasName

Enclosing class:
  SimplexView

    public class SimplexView.ConcreteSimplexFeature

extends SimplexFeature

The Class ConcreteSimplexFeature.

Constructor Summary
`SimplexView.ConcreteSimplexFeature(float axis1Value, float axis2Value, float axis3Value)` Instantiates a new concrete simplex feature.

Method Summary
`java.lang.String` `getAxis1Name()`
`float` `getAxis1Value(java.lang.Object object)`
`java.lang.String` `getAxis2Name()`
`float` `getAxis2Value(java.lang.Object object)`
`java.lang.String` `getAxis3Name()`
`float` `getAxis3Value(java.lang.Object object)`

Methods inherited from class org.ascape.util.vis.SimplexFeature
`getName, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimplexView.ConcreteSimplexFeature

    public SimplexView.ConcreteSimplexFeature(float axis1Value,
                                              float axis2Value,
                                              float axis3Value)

  Instantiates a new concrete simplex feature.

  Parameters:
    `axis1Value` - the axis1 value
    `axis2Value` - the axis2 value
    `axis3Value` - the axis3 value

Method Detail

### getAxis1Value

    public float getAxis1Value(java.lang.Object object)

  Specified by:
    `getAxis1Value` in class `SimplexFeature`

### getAxis1Name

    public java.lang.String getAxis1Name()

  Specified by:
    `getAxis1Name` in class `SimplexFeature`

### getAxis2Value

    public float getAxis2Value(java.lang.Object object)

  Specified by:
    `getAxis2Value` in class `SimplexFeature`

### getAxis2Name

    public java.lang.String getAxis2Name()

  Specified by:
    `getAxis2Name` in class `SimplexFeature`

### getAxis3Value

    public float getAxis3Value(java.lang.Object object)

  Specified by:
    `getAxis3Value` in class `SimplexFeature`

### getAxis3Name

    public java.lang.String getAxis3Name()

  Specified by:
    `getAxis3Name` in class `SimplexFeature`